Subject: Re: [PATCH 2/2] grep/pcre2: factor out literal variable

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Dec 2021 12:52:43 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I think for this and 1/2 it would be really nice to pick up a version of
> Hamza's CI changes:
> https://lore.kernel.org/git/[email-masked]/

Are there so many incompatible versions of pcre2 library whose usage
are subtly different that we need to protect ourselves with multiple
variants in CI from breakages?

I doubt pcre2 library was _that_ bad.

Adding a special task that builds with the minimum version we
support may not be too bad, but the library should be stable enough
to allow us to declare it sufficient to test the most common version
with the most common build options in our ordinary build job(s).